local _, addon = ...

addon.locale = GetLocale()
addon.translations = addon.localization[addon.locale] or {}

function addon:GetTranslation(message, replacements)
    local message = self.translations[message] or message

    for replacement in message:gmatch('({.+})') do
        local key = replacement:sub(2, -2)
        local value = replacements[key] or ''

        message = message:gsub(replacement, value)
    end

    return message
end
